Draft Text/tr: Difference between revisions

From FreeCAD Documentation
No edit summary
(Created page with "== Açıklama == Metin aracı, geçerli belgede belirli bir noktaya bir metin parçası ekler. Taslak araç çubuğunda Çizgi stili setini kullanır.")
Line 2: Line 2:
{{GuiCommand/tr|Name=Draft Text|Name/tr=Metin|Workbenches=[[Draft Module/tr|Taslak]], [[Arch Module/tr|Yapı]]|MenuLocation=Taslak → Metin|Shortcut=T E}}
{{GuiCommand/tr|Name=Draft Text|Name/tr=Metin|Workbenches=[[Draft Module/tr|Taslak]], [[Arch Module/tr|Yapı]]|MenuLocation=Taslak → Metin|Shortcut=T E}}


==Description==
== Açıklama ==
Metin aracı, geçerli belgede belirli bir noktaya bir metin parçası ekler. Taslak araç çubuğunda [[Draft Linestyle/tr|Çizgi stili]] setini kullanır.
The Text tool inserts a piece of text at a given point in the current document. It uses the [[Draft Linestyle]] set on the Draft Tray toolbar.


To create solid text shapes use [[Draft ShapeString]] with [[Part Extrude]].
To create solid text shapes use [[Draft ShapeString]] with [[Part Extrude]].

Revision as of 12:54, 3 January 2019

Metin

Menü konumu
Taslak → Metin
Tezgahlar
Taslak, Yapı
Varsayılan kısayol
T E
Versiyonda tanıtıldı
-
Ayrıca bkz
Hiçbiri

Açıklama

Metin aracı, geçerli belgede belirli bir noktaya bir metin parçası ekler. Taslak araç çubuğunda Çizgi stili setini kullanır.

To create solid text shapes use Draft ShapeString with Part Extrude.

How to use

  1. Press the Draft Text button, or press T then E keys
  2. Click a point on the 3D view, or type a coordinate
  3. Enter the desired text, pressing ENTER between each line
  4. Press ENTER twice to finish the operation.

Options

  • Pressing CTRL will snap your point to available snap locations.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Pressing ESC will cancel the operation.
  • When editing the text, pressing ENTER or DOWN ARROW allow you to enter or edit a next line of text.
  • Pressing UP ARROW allows you to edit a previous line of text.
  • Pressing ENTER twice (thus leaving the last line empty) adds the text to the document and closes the editor.

Properties

  • VeriPosition: The base point of the text block
  • VeriLabel Text: The contents of the text block
  • GörünümDisplay Mode: Specifies if the text is aligned to the scene axes or always faces the camera
  • GörünümFont Size: The size of the letters
  • GörünümJustification: Specifies if the text is aligned to the left, right or center of the base point.
  • GörünümLine Spacing: Specifies the space between lines of text
  • GörünümRotation: Specifies a rotation to be applied to the text
  • GörünümRotation Axis: Specifies the axis to use for the rotation
  • GörünümFont Name: The font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", or a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.

Scripting

The Text tool can by used in macros and from the python console by using the following function:

Text = makeText(stringlist, point=Vector(0,0,0), screen=False)
  • Creates a Text object, at the given point given by a FreeCAD.Vector
  • stringlist is a string, or a list of strings; if it's a list, each element is displayed in one line
  • The current Draft Linestyle specified in preferences are used
  • If screen is True, the text always faces the camera view direction, otherwise it lies on the XY plane

Example:

import FreeCAD, Draft
Draft.makeText("This is a sample text", FreeCAD.Vector(1,1,0))